TestParse::Lexer Struct Reference

`#include <parse.test.h>`

Inheritance diagram for TestParse::Lexer:
[legend]
Collaboration diagram for TestParse::Lexer:
[legend]

## Public Member Functions

Token | remove ()
| Lexer (IOStream &s)
Public Member Functions inherited from wibble::Lexer< Token, IOStream >
void | shift ()
bool | eof ()
std::string | window (unsigned n)
bool | ensure_window (unsigned n)
void | consume (int n)
void | consume (const std::string &s)
void | consume (const Token &t)
void | keep (typename Token::Id id, const std::string &data)
bool | match (I begin, I end)
void | match (const std::string &data, typename Token::Id id)
void | match (Regexp &r, typename Token::Id id)
void | match (int(*first)(int), int(*rest)(int), typename Token::Id id)
void | match (const std::string &from, const std::string &to, typename Token::Id id)
void | skipWhitespace ()
Token | decide ()
| Lexer (IOStream &s)

## Additional Inherited Members

Public Types inherited from wibble::Lexer< Token, IOStream >
typedef std::deque< char > | Window
Public Attributes inherited from wibble::Lexer< Token, IOStream >
IOStream & | stream
Window | _window
Position | current
Token | _match

## Constructor & Destructor Documentation

## Lexer()

TestParse::Lexer::Lexer | ( | IOStream & | s | ) |

inline

## Member Function Documentation

## remove()

Token TestParse::Lexer::remove | ( |  | ) |

inline

Referenced by TestParse::lexer().

The documentation for this struct was generated from the following file:

- parse.test.h